.Input {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 103px;
  width: 376px;
  font-family: Inter;
  font-style: normal;
  position: relative;

  &__label {
    font-weight: 500;
    font-size: 20px;
    height: 24px;
    width: 100%;
    line-height: 120.6%;
    letter-spacing: -0.03em;
    color: rgba(230, 231, 233, 0.8);
    box-sizing: border-box;
    &--required {
      color: #ff0000;
      margin-left: 5px;
    }
  }
  &__field {
    width: 100%;
    height: 66px;
    background: rgba(255, 255, 255, 0.12);
    border-radius: 12px;
    box-sizing: border-box;
    border: 1px solid transparent;
    font-size: 20px;
    line-height: 24px;
    color: #e6e7e9;
    padding: 21px 24px;
    outline-color: transparent;
    transition: border ease-in-out 0.2s, outline ease-in-out 0.2s;

    &::placeholder {
      font-weight: 500;
      font-size: 20px;
      line-height: 24px;
      display: flex;
      align-items: center;
      color: #ffffff;
      opacity: 0.4;
    }

    &:focus {
      outline: 4px solid rgba(50, 103, 240, 0.17);
      border: 1px solid #3267f0;
    }

    &--error {
      outline: 4px solid rgba(255, 0, 0, 0.17);
      border: 1px solid #ff0000;
      &:focus {
        outline: 4px solid rgba(255, 0, 0, 0.17);
        border: 1px solid #ff0000;
      }
    }
  }

  &__field-valid-icon {
    position: absolute;
    right: 16px;
    bottom: 22px;
  }
}
